View Issue Details

IDProjectCategoryLast Update
0021805AI War 2[All Projects] Gameplay IssueDec 30, 2019 6:29 pm
ReporterBadgerBadgerAssigned Tox4000Bughunter 
Severityblock 
Status resolvedResolutionfixed 
Product Version1.003 Sortable Objectives 
Fixed in VersionBETA 1.1 So Much Stuff We Can't Even, But More Is Still Coming 
Summary0021805: Factories do not rebuild when you take a planet back
DescriptionIf you recapture a planet then the factories don't start to rebuild. They still think their fleet centerpiece is null.

Reloading the game fixes it.
TagsNo tags attached.

Relationships

related to 0021821 resolvedx4000Bughunter Turrets not rebuilding while Command Station are operational 
has duplicate 0022405 resolvedx4000Bughunter Rebuilding on a planet 'stuck' until save/reload 
related to 0022246 resolvedx4000Bughunter Structures stuck rebuilding 
related to 0022316 resolvedx4000Bughunter Mines upgraded by spending science on the planetary fleet lose their upgrade upon destruction 
related to 0022367 resolvedx4000Bughunter Planetary construction stalling after GCA destruction 

Activities

ArnaudB

Oct 15, 2019 8:23 am

reporter   ~0053689

This affect all buildings except the command station. They're still waiting for a command station to be operational even when the station is already rebuilt.

Changing the station type also fix this error.

Asteroid

Oct 16, 2019 3:06 pm

reporter   ~0053749

I've added a new debug option "Show reason for blocked construction in tooltip." to help diagnose this. If we have trouble reproducing the bug we should ask people to turn this option on when they screenshot the problematic unit's tooltip.

BadgerBadger

Oct 16, 2019 3:09 pm

manager   ~0053750

I have a good reproduction scenario, I just don't have time today to work on this.

BadgerBadger

Oct 18, 2019 12:28 pm

manager   ~0053783

Also reported by RockyBst on the forums

BadgerBadger

Oct 18, 2019 12:45 pm

manager   ~0053784

Last edited: Oct 18, 2019 1:08 pm

View 2 revisions

As far as I can tell the problem is "sometimes" the centerpiece of the factories winds up "Null" even after the command station is rebuilt.

I ran a test where I had a command station die and then rebuilt it and the factories just fine. However when I saved/reloaded the game with the command station dead then when I reloaded the game the Centerpiece was null.

Asteroid

Nov 4, 2019 2:45 pm

reporter   ~0054334

Still a problem in 1.003 according to https://steamcommunity.com/app/573410/discussions/1/1693843461184843191/ - the first screenshot shows "DebugReason: CenterpieceNull".

BadgerBadger

Nov 19, 2019 6:38 pm

manager   ~0054643

This is definitely still a problem

KDR_11k

Nov 30, 2019 2:40 pm

reporter   ~0054756

Seems to happen when a planet is retaken under fire, your flagship starts the rebuilding process for everything and the still present defenders shoot the CS dead while it's under construction. Might be aggravated by having the planet start the fight with a Reconquest station on it.

x4000Bughunter

Dec 6, 2019 3:27 pm

administrator   ~0054865

No savegames, sounds like? I don't know if the fix that I just put in in 0022316 will fix this or not, but it might. If not a savegame would certainly be welcome.

I'm guessing that the real problem is that the factories were being rebuilt into the PlayerLoose fleet rather than the planet's fleet. Loading a savegame should probably fix that now, but I'd like it to not happen in the first place and I'm not sure if it will or not just yet.

BadgerBadger

Dec 12, 2019 5:32 pm

manager   ~0054974

This is probably fixed now; if you can still hit it then let us know

RocketAssistedPuffin

Dec 12, 2019 7:38 pm

reporter   ~0054975

Hit it. Loading the save fixes it though.

StructuresNotRebuilding.save (458,435 bytes)

x4000Bughunter

Dec 13, 2019 8:36 pm

administrator   ~0054989

I'm not surprised that this still happens but doesn't survive a savegame. What I could really use is a savegame from right before the command station is rebuilt in a problematic fashion, if anyone has that. Essentially what I think is happening is this:

1. Stuff is working fine.
2. Command station dies.
3. Unknown something goes wrong as the command station is rebuilt, or right before or after?
4. Things don't build after that point.
5. But if you save now and load, it works as of 0022316. Prior to 0022316 it stayed broken.

But what I need is a fix for item 3 on that list, so I need a savegame I guess sometime between stages 2 and 3. I have no idea what makes the command station go into the wrong fleet, but I bet that is what is happening. The good news is that I can use the savegame you have there from stage 5 to verify that's at least what is happening.

Sigma7

Dec 23, 2019 11:35 pm

reporter   ~0055112

Try the saved game from bug 22367 - AI destroyed command and turrets on a planet, and there's two transports ready to move into the system.

Setup involves a GCA dying.

Ryulong

Dec 24, 2019 12:43 am

reporter   ~0055113

I've got a save for you too. Rebuild the command station on Igni with fleet 3 next door.

command center rebuilding test.save (945,234 bytes)

x4000Bughunter

Dec 27, 2019 5:41 pm

administrator   ~0055197

Ryulong, that save is golden, thank you! I can repro the issue in under 10 seconds with it. I think I see a problem already with some data in there, and I'll keep fixing those things until this presumably goes away. I should be able to get that in tonight, finally.

x4000Bughunter

Dec 30, 2019 6:29 pm

administrator   ~0055218

Thank you! That save helped me find it.

* Finally fixed a really annoying bug wherein command stations that got shot to remains and then rebuilt did not count properly (thus not letting anything else be built or rebuilt at their planet) until you saved and loaded the game.

Issue History

Date Modified Username Field Change
Oct 14, 2019 10:01 pm BadgerBadger New Issue
Oct 14, 2019 10:01 pm BadgerBadger Status new => assigned
Oct 14, 2019 10:01 pm BadgerBadger Assigned To => x4000Bughunter
Oct 15, 2019 8:23 am ArnaudB Note Added: 0053689
Oct 16, 2019 12:36 pm BadgerBadger Relationship added related to 0021821
Oct 16, 2019 12:40 pm Asteroid Severity minor => block
Oct 16, 2019 3:06 pm Asteroid Note Added: 0053749
Oct 16, 2019 3:09 pm BadgerBadger Note Added: 0053750
Oct 18, 2019 12:28 pm BadgerBadger Note Added: 0053783
Oct 18, 2019 12:45 pm BadgerBadger Note Added: 0053784
Oct 18, 2019 1:08 pm BadgerBadger Note Edited: 0053784 View Revisions
Nov 4, 2019 2:45 pm Asteroid Note Added: 0054334
Nov 4, 2019 2:45 pm Asteroid Product Version 0.951 Hotfixes => 1.003 Sortable Objectives
Nov 19, 2019 6:37 pm BadgerBadger Relationship added related to 0022246
Nov 19, 2019 6:38 pm BadgerBadger Note Added: 0054643
Nov 30, 2019 2:40 pm KDR_11k Note Added: 0054756
Dec 5, 2019 6:39 pm x4000Bughunter Relationship added related to 0022316
Dec 6, 2019 3:27 pm x4000Bughunter Note Added: 0054865
Dec 12, 2019 5:32 pm BadgerBadger Status assigned => resolved
Dec 12, 2019 5:32 pm BadgerBadger Resolution open => fixed
Dec 12, 2019 5:32 pm BadgerBadger Fixed in Version => 1.014 High AIP Playstyle Viability
Dec 12, 2019 5:32 pm BadgerBadger Note Added: 0054974
Dec 12, 2019 7:38 pm RocketAssistedPuffin File Added: StructuresNotRebuilding.save
Dec 12, 2019 7:38 pm RocketAssistedPuffin Note Added: 0054975
Dec 12, 2019 10:43 pm BadgerBadger Status resolved => assigned
Dec 13, 2019 8:36 pm x4000Bughunter Note Added: 0054989
Dec 23, 2019 6:31 pm x4000Bughunter Relationship added related to 0022405
Dec 23, 2019 10:59 pm Sigma7 Relationship added related to 0022367
Dec 23, 2019 11:35 pm Sigma7 Note Added: 0055112
Dec 24, 2019 12:43 am Ryulong File Added: command center rebuilding test.save
Dec 24, 2019 12:43 am Ryulong Note Added: 0055113
Dec 24, 2019 12:20 pm GrimerX Relationship replaced has duplicate 0022405
Dec 27, 2019 5:41 pm x4000Bughunter Note Added: 0055197
Dec 30, 2019 6:29 pm x4000Bughunter Status assigned => resolved
Dec 30, 2019 6:29 pm x4000Bughunter Fixed in Version 1.014 High AIP Playstyle Viability => BETA 1.1 So Much Stuff We Can't Even, But More Is Still Coming
Dec 30, 2019 6:29 pm x4000Bughunter Note Added: 0055218